class GrandExchange

  class Categories
    def self.getInformation(categoryID)
      uri = Utils.baseURI + 'itemdb_rs/api/catalogue/category.json?category=' + categoryID.to_s
      jsonRequest = open(uri).read
      return JSON.parse(jsonRequest)
    end

    def self.getPrices(categoryID, alpha, pageNumber)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/api/catalogue/items.json?category='+ categoryID.to_s + '&alpha=' + alpha.to_s + '&page=' + pageNumber.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

  class Items
    def self.graphData(itemID)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/api/graph/' + itemID.to_s + '.json').read
      return JSON.parse(jsonRequest)
    end

    def self.itemDetails(itemID)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/api/catalogue/detail.json?item=' + itemID.to_s).read
      return JSON.parse(jsonRequest)
    end
  end
end