class Player

  class OS

    #Class Variables
    @@name
    @@skills

    def initialize(name)
      @name = name
      @skills = HighScores::OS.getPlayer(name)
    end

    def getName
      return @@name
    end

  end

  class EOC

    #Class Variables
    @@name
    @@skills

    def initialize(name)
      @@name = name
      #@skills = HighScores::OS.getPlayer(name)
    end

    def getName
      return @@name
    end

    def getClan
      uri = URI.encode(Utils.baseURI + "website-data/playerDetails.ws?names=[\"" + @@name + "\"]&callback=jQuery000000000000000_0000000000")
      jsonRequest = open(uri).read
      jsonRequest = jsonRequest.gsub("jQuery000000000000000_0000000000([", "")
      jsonRequest = jsonRequest.gsub("]);", "")
      data = JSON.parse(jsonRequest)
      return { "clan" => data["clan"], "recruiting" => data["recruiting"] }
    end

    def getTitle
      uri = URI.encode(Utils.baseURI + 'website-data/playerDetails.ws?names=["' + @@name + '"]&callback=jQuery000000000000000_0000000000')
      jsonRequest = open(uri).read
      jsonRequest = jsonRequest.gsub("jQuery000000000000000_0000000000([", "")
      jsonRequest = jsonRequest.gsub("]);", "")
      json = JSON.parse(jsonRequest)
      return json["title"]
    end

    def getAvatarFull
     return Utils.baseURI + "avatar-rs/" + @@name + "/full.png"
    end

    def getAvatarChat
      return Utils.baseURI + "avatar-rs/" + @@name + "/chat.png"
    end

  end

end